Loading...
Searching...
No Matches
Tautomer.h File Reference
`#include <RDGeneral/export.h>`
`#include <boost/function.hpp>`
`#include <string>`
`#include <utility>`
`#include <iterator>`
`#include <Catalogs/Catalog.h>`
`#include <GraphMol/MolStandardize/MolStandardize.h>`
`#include <GraphMol/MolStandardize/TautomerCatalog/TautomerCatalogEntry.h>`
`#include <GraphMol/MolStandardize/TautomerCatalog/TautomerCatalogParams.h>`
`#include <GraphMol/SmilesParse/SmilesWrite.h>`
`#include <boost/dynamic_bitset.hpp>`

Go to the source code of this file.

## Classes

struct | RDKit::MolStandardize::TautomerScoringFunctions::SubstructTerm
class | RDKit::MolStandardize::Tautomer
class | RDKit::MolStandardize::TautomerEnumeratorResult
| Contains results of tautomer enumeration. More...
class | RDKit::MolStandardize::TautomerEnumeratorResult::const_iterator
class | RDKit::MolStandardize::TautomerEnumeratorCallback
class | RDKit::MolStandardize::TautomerEnumerator

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolStandardize
namespace | RDKit::MolStandardize::TautomerScoringFunctions

## Typedefs

typedef RDCatalog::HierarchCatalog< TautomerCatalogEntry, TautomerCatalogParams, int > | RDKit::MolStandardize::TautomerCatalog
typedef std::map< std::string, Tautomer > | RDKit::MolStandardize::SmilesTautomerMap
typedef std::pair< std::string, Tautomer > | RDKit::MolStandardize::SmilesTautomerPair

## Enumerations

enum class | RDKit::MolStandardize::TautomerEnumeratorStatus { RDKit::MolStandardize::Completed = 0 , RDKit::MolStandardize::MaxTautomersReached , RDKit::MolStandardize::MaxTransformsReached , RDKit::MolStandardize::Canceled }

## Functions

RDKIT_MOLSTANDARDIZE_EXPORT const std::vector< SubstructTerm > & | RDKit::MolStandardize::TautomerScoringFunctions::getDefaultTautomerScoreSubstructs ()
RDKIT_MOLSTANDARDIZE_EXPORT int | RDKit::MolStandardize::TautomerScoringFunctions::scoreRings (const ROMol &mol)
RDKIT_MOLSTANDARDIZE_EXPORT int | RDKit::MolStandardize::TautomerScoringFunctions::scoreSubstructs (const ROMol &mol, const std::vector< SubstructTerm > &terms=getDefaultTautomerScoreSubstructs())
| scoreSubstructs scores the molecule based on the substructure definitions
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< size_t > | RDKit::MolStandardize::TautomerScoringFunctions::getRelevantSubstructTermIndices (const ROMol &mol, const std::vector< SubstructTerm > &terms=getDefaultTautomerScoreSubstructs())
RDKIT_MOLSTANDARDIZE_EXPORT int | RDKit::MolStandardize::TautomerScoringFunctions::scoreSubstructsFiltered (const ROMol &mol, const std::vector< SubstructTerm > &terms, const std::vector< size_t > &relevantIndices)
RDKIT_MOLSTANDARDIZE_EXPORT int | RDKit::MolStandardize::TautomerScoringFunctions::scoreHeteroHs (const ROMol &mol)
int | RDKit::MolStandardize::TautomerScoringFunctions::scoreTautomer (const ROMol &mol)
boost::function< int(const ROMol &)> | RDKit::MolStandardize::TautomerScoringFunctions::makeOptimizedScorer (const ROMol &mol)
TautomerEnumerator * | RDKit::MolStandardize::tautomerEnumeratorFromParams (const CleanupParameters &params)
TautomerEnumerator * | RDKit::MolStandardize::getV1TautomerEnumerator ()

## Variables

const std::string | RDKit::MolStandardize::TautomerScoringFunctions::tautomerScoringVersion = "1.0.0"